org.apache.jmeter.protocol.http.sampler.hc

## Class HttpPoolEntry

- java.lang.Object
- - org.apache.http.pool.PoolEntry<org.apache.http.conn.routing.HttpRoute,org.apache.http.conn.OperatedClientConnection>
  - - org.apache.jmeter.protocol.http.sampler.hc.HttpPoolEntry

-     public class HttpPoolEntry
      extends org.apache.http.pool.PoolEntry<org.apache.http.conn.routing.HttpRoute,org.apache.http.conn.OperatedClientConnection>

  Implementation of `PoolEntry`
  Since:
    3.2

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `HttpPoolEntry(org.slf4j.Logger log, java.lang.String id, org.apache.http.conn.routing.HttpRoute route, org.apache.http.conn.OperatedClientConnection conn, long timeToLive, java.util.concurrent.TimeUnit tunit)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `close()`
    `boolean` | `isClosed()`
    `boolean` | `isExpired(long now)`

    - ### Methods inherited from class org.apache.http.pool.PoolEntry

      `getConnection, getCreated, getExpiry, getId, getRoute, getState, getUpdated, getValidityDeadline, getValidUnit, setState, toString, updateExpiry`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### HttpPoolEntry

          public HttpPoolEntry(org.slf4j.Logger log,
                               java.lang.String id,
                               org.apache.http.conn.routing.HttpRoute route,
                               org.apache.http.conn.OperatedClientConnection conn,
                               long timeToLive,
                               java.util.concurrent.TimeUnit tunit)

  - ### Method Detail

    - #### isExpired

          public boolean isExpired(long now)

      Overrides:
        `isExpired` in class `org.apache.http.pool.PoolEntry<org.apache.http.conn.routing.HttpRoute,org.apache.http.conn.OperatedClientConnection>`

    - #### isClosed

          public boolean isClosed()

      Specified by:
        `isClosed` in class `org.apache.http.pool.PoolEntry<org.apache.http.conn.routing.HttpRoute,org.apache.http.conn.OperatedClientConnection>`

    - #### close

          public void close()

      Specified by:
        `close` in class `org.apache.http.pool.PoolEntry<org.apache.http.conn.routing.HttpRoute,org.apache.http.conn.OperatedClientConnection>`

Copyright © 1998-2018 Apache Software Foundation. All Rights Reserved.